(* Random number utility routines for ocaml
   Copyright (C) 2002 Shawn Wagner <raevnos@pennmush.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
	 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
	 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)


(* This generator reads raw bits from a RNG character device file, i.e., \texttt{/dev/urandom}.

 Example usage:

[module RNG =
   Rand.UniformDist(Math.Int32Ops)(FileRand.Int32Source(FileRand.Dev_Urandom))]
*)


class rng: string -> object
  method min: int32
  method max: int32
  method genrand: int32
end


module type FILE = sig
  val name: string
end

module Dev_Urandom : FILE

(* The sources for the Rand Distribution modules take the filename of the device as a module. Wierd, but hey. I'm fooling around with the capabilities of functors. 
*)
module IntSource (File: FILE): (Rand.RNGSource with type t = int)
module Int32Source (File : FILE): (Rand.RNGSource with type t = int32)
  
