(* I/O utility routines for ocaml
   Copyright (C) 2002 Shawn Wagner <raevnos@pennmush.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
	 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
	 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)

(* print_endline on a generic channel, or stdout if one isn't given  *)
let output_endline ?(ostream = stdout) str =
	output_string ostream str;
  output_string ostream "\r\n";
  flush ostream

(* Open a file for output and auto-close it when the program exits. *)
let open_out filename =
	let ostream = open_out filename in
	let f = function () -> close_out ostream in
	  at_exit f;
	  ostream
