(* string  utility routines for ocaml
   Copyright (C) 2002 Shawn Wagner <raevnos@pennmush.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
	 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
	 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)

(* Returns the first word of a string *)
val first_word: string -> string

(* Cuts off the first character of a string and returns the rest *)
val cut_first_char: string -> string

(* Cuts off the first [n] characters of a string and returns the rest. *)
val cut_first_n: string -> int -> string

(* Cuts off the last character of a string and returns the rest *)
val cut_last_char: string -> string

(* Cuts off the last [n] characters of a string and returns the rest *)
val cut_last_n: string -> int -> string

(* Cuts off the first word of a string and returns the rest *)
val cut_first_word: string -> string

(* Returns everything after the character *)
val split_at: str:string -> sep:char -> string

(* Concatenates a list of strings with a blank seperator *)
val combine: string list -> string

(* Remove all trailing whitespace *)
val chomp: string -> string
