(* Unix extension routines for ocaml
   Copyright (C) 2002 Shawn Wagner <raevnos@pennmush.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.
	 
   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.
	 
   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*)

let make_daemon f do_exit =
  if Unix.fork () = 0 then begin
    if do_exit then
      exit 0
    else
      ()
  end else 
    let _ = Unix.setsid () in
    let _ = Sys.chdir "/" in
    let _ = Unix.umask 0 in
      (* Really should close all open files here... *)
      f ()


external send_file: src:Unix.file_descr -> dest:Unix.file_descr -> start:int -> len:int -> int = "stew_sendfile"
      
external getservent: unit -> Unix.service_entry = "stew_getservent"
external setservent: bool -> unit = "stew_setservent"
external endservent: unit -> unit = "stew_endservent" 
